## python-doi2bib3 0.4.0

=== requirements.txt ===
requests
bibtexparser

=== debian/changelog ===
python-doi2bib3 (0.4.0-3) unstable; urgency=medium

  * Closes: #1121438 (ITP)
  * Fix debian build

 -- Archisman Panigrahi <apandada1@gmail.com>  Wed, 26 Nov 2025 13:02:44 -0500

python-doi2bib3 (0.4.0-2) unstable; urgency=medium

  * Closes: #1121438 (ITP)
  * Fix lintian warnings

 -- Archisman Panigrahi <apandada1@gmail.com>  Wed, 26 Nov 2025 10:49:40 -0500

python-doi2bib3 (0.4.0-1) unstable; urgency=medium

  * Add title's first word to generated BibTeX key to prevent duplicate
    entries when the same author publishes multiple papers in the same year.

 -- Archisman Panigrahi <apandada1@gmail.com>  Fri, 21 Nov 2025 21:37:35 -0500

python-doi2bib3 (0.3.2-1) unstable; urgency=medium

  * Update documentation

 -- Archisman Panigrahi <apandada1@gmail.com>  Tue, 11 Nov 2025 21:35:48 -0500

python-doi2bib3 (0.3.1-1) unstable; urgency=medium

  * version bump for pypi release

 -- Archisman Panigrahi <apandada1@gmail.com>  Fri, 07 Nov 2025 21:19:23 -0400

python-doi2bib3 (0.3.0-1) unstable; urgency=medium

  * Fix pages and encoding: normalize unicode dashes and numeric page ranges to
    ASCII double-dash (`--`) and robustly decode provider responses to avoid
    mojibake in BibTeX output.

 -- Archisman Panigrahi <apandada1@gmail.com>  Thu, 30 Oct 2025 00:00:00 +0000

python-doi2bib3 (0.2.0-1ubuntu1) unstable; urgency=medium

  * Some parsing fixes

 -- Archisman Panigrahi <apandada1@gmail.com>  Wed, 29 Oct 2025 12:46:30 -0400

python-doi2bib3 (0.1.0-1) unstable; urgency=medium

  * Initial release.

 -- Archisman Panigrahi <apandada1@gmail.com>  Tue, 28 Oct 2025 12:00:00 +0000

=== debian/control ===
Source: python-doi2bib3
Section: python
Priority: optional
Maintainer: Archisman Panigrahi <apandada1@gmail.com>
Homepage: https://github.com/archisman-panigrahi/doi2bib3
Vcs-Git: https://github.com/archisman-panigrahi/doi2bib3.git
Vcs-Browser: https://github.com/archisman-panigrahi/doi2bib3
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: python3-doi2bib3
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-bibtexparser
Description: Fetch BibTeX from DOI, arXiv ID, journal URL or article title
 A command-line utility and library to fetch BibTeX entries from DOIs, arXiv ids,
 IDs and also export to .bib files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	-dh $@ --with python3

=== debian/watch ===
version=4
opts=filenamemangle=s,.*/archive/v?(\d+(?:\.\d+)+)\.tar\.gz,doi2bib3-$1.tar.gz,
https://github.com/archisman-panigrahi/doi2bib3/releases .*/tag/v?(\d+(?:\.\d+)+)
